import * as accountServices from '@12333/services/api/Account';
import * as commonServices from '@12333/services/api/Common';
import { FileItem } from '@nutui/nutui-taro/dist/types/__VUE/uploader/type';
import _ from 'lodash';

type VatLicenseOptions = {
  onSuccess?: (res: API.LicenseOcrModel) => any;
};

export async function vatLicense(response: FileItem, options: VatLicenseOptions = {}) {
  try {
    if (response?.url) {
      const { onSuccess } = options;
      let res = await accountServices.vatLicense({
        url: response.url,
      });
      onSuccess?.(
        _.mapValues(res, (x) => {
          if (x === '无') return '';
          return x;
        })
      );
    }
  } catch (error) {}
}

type UserCredentialVerifyOcrIDCardOptions = {
  onSuccess?: (res: API.UserCredentialVerifyOcrIDCardResponse) => any;
};

export async function userCredentialVerifyOcrIDCard(
  response: FileItem,
  options: UserCredentialVerifyOcrIDCardOptions = {}
) {
  try {
    if (response?.url) {
      const { onSuccess } = options;
      let res = await commonServices.userCredentialVerifyOcrIDCard({
        identityImageUrl: response.url,
      });
      onSuccess?.(res);
    }
  } catch (error) {}
}
